Skip to main content
GET
Get usage terms and accounts for the current organization.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Query Parameters

to
string<date>

Date used to resolve usage terms. Defaults to today.

Response

Successful

id
string<uuid>
required
name
string
required
accounts
object[]
required
contractStartDate
string<date>
required
contractEndDate
string<date>
required
usageStartDate
string<date>
required
creditBudget
number | null
required
Required range: x > 0
standardCreditsPerUnit
number | null
required
Required range: x >= 0
premiumCreditsPerUnit
number | null
required
Required range: x >= 0